%define upstream_name    Starlet
%define upstream_version 0.29

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    A simple, high-performance PSGI/Plack HTTP server
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(LWP::UserAgent) >= 5.800.0
BuildRequires: perl(Parallel::Prefork) >= 0.170.0
BuildRequires: perl(Plack) >= 0.992.0
BuildRequires: perl(Server::Starter) >= 0.60.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::TCP) >= 2.100.0
BuildArch:  noarch

%description
Starlet is a standalone HTTP/1.0 server with keep-alive support, formerly
known as the Plack::Server::Standalone::Prefork manpage and the
Plack::Server::Standalone::Prefork::Server::Starter manpage.

The server supports following features, and is suitable for running HTTP
application servers behind a reverse proxy.

- prefork and graceful shutdown using the Parallel::Prefork manpage

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make


%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.290.0-3pclos2017
- rebuild against updates

